Bug 471148 - problem with partitioning, swap space doesn't grow over 1G
problem with partitioning, swap space doesn't grow over 1G
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ruediger Landmann
Content Services Development
: Documentation
Depends On: 462734
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 19:42 EST by Michael Hideo
Modified: 2009-08-20 00:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using swap --grow in a kickstart file without setting --maxsize parameter at the same time, anaconda imposes a restriction on the maximum size of the swap partition. It does not allow it to grow to fill the device. The maximum size is given by the formula provided in section 4.18.4 of the RHEL5 Installation Guide - "Recommended Partitioning Scheme". The swap guidelines provided in the kickstart documentation are incorrect. For systems with less than 2GB of physical memory, the imposed limit is twice the amount of physical memory. For systems with more than 2GB, the imposed limit is the size of physical memory plus 2GB.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-15 23:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Michael Hideo 2008-11-11 19:48:15 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
When using swap --grow in a kickstart file
without setting --maxsize parameter at the same time, anaconda imposes a restriction on the maximum size of the swap partition.  It does not allow it to grow to fill the device.  The maximum size is given by the formula provided in section 4.18.4 of the RHEL5 Installation Guide - "Recommended Partitioning Scheme".  The swap guidelines provided in the kickstart documentation are incorrect.

For systems with less than 2GB of physical memory, the imposed limit is twice the amount of physical memory.  For systems with more than 2GB, the imposed limit is the size of physical memory plus 2GB.
Comment 2 Don Domingo 2008-11-13 19:28:56 EST
revised (in source) --grow definition in "Kickstart Options" of RHEL5.3 Installation Guide:

<quote>
--grow — Tells the partition to grow to fill available space (if any), or up to the maximum size setting.

Note
 If you use --grow= without setting --maxsize= on a swap partition, Anaconda will limit the maximum size of the  partition. For systems that have less than 2GB of physical memory, the imposed limit is twice the amount of physical memory. For systems with more than 2GB, the imposed limit is the size of physical memory plus 2GB.
</quote>

Note You need to log in before you can comment on or make changes to this bug.